#pragma once
#include "Entity.h"
#include "CS_PeLightFade.h"
#define CS_MISERYBAT_CREATENAME L"CS_misery_bat"
//Ã×É¯ÀòµÄòùòð
class CS_MiseryBat :
    public Entity
{
public:
    CS_MiseryBat();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Destroy() override;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
    std::weak_ptr<CS_PeLightFade> light;
};

std::shared_ptr<Entity> CreateCS_MiseryBat();